#!/bin/bash

shellfu import pretty

#
# Harness connector for JATS
#

___jathp_warn__vyell() {
    #
    # Just yell about variables $@
    #
    local vname
    local decl
    warn "${FUNCNAME[3]}():"
    for vname in "$@"; do
        decl=$(declare -p "$vname")
        warn " .. ${decl:11}"
    done
}

_jathp_warn__message() {
    #
    # Report message
    #
    # Usage:
    #     _JATH_CASEID=CASEID \
    #     _JATH_ETYPE=ETYPE \
    #     _JATH_MESSAGE=MESSAGE \
    #         _jathp_warn__message
    #
    ___jathp_warn__vyell \
        _JATH_CASEID \
        _JATH_ETYPE \
        _JATH_MESSAGE
}

_jathp_warn__phase() {
    #
    # Report phase
    #
    # Usage:
    #     _JATH_CASEID=CASEID \
    #     _JATH_ETYPE=ETYPE \
    #     _JATH_HINT=HINT \
    #     _JATH_PTYPE=PTYPE \
    #     _JATH_PRESULT=PRESULT \
    #         _jathp_warn__phase
    #
    ___jathp_warn__vyell \
        _JATH_CASEID \
        _JATH_ETYPE \
        _JATH_HINT \
        _JATH_PTYPE \
        _JATH_PRESULT
}

_jathp_warn__relic() {
    #
    # Report phase
    #
    # Usage:
    #     _JATH_CASEID=CASEID \
    #     _JATH_ETYPE=ETYPE \
    #     _JATH_RPATH=RPATH \
    #     _JATH_HINT=HINT \
    #         _jathp_warn__relic
    #
    ___jathp_warn__vyell \
        _JATH_CASEID \
        _JATH_ETYPE \
        _JATH_RPATH \
        _JATH_HINT
}

_jathp_warn__run() {
    #
    # Report run event
    #
    # Usage:
    #     _JATH_CASEID=CASEID \
    #     _JATH_ETYPE=ETYPE \
    #     _JATH_FINALRESULT=FINALRESULT \
    #         _jathp_warn__run
    #
    ___jathp_warn__vyell \
        _JATH_CASEID \
        _JATH_ETYPE \
        _JATH_FINALRESULT
}

_jathp_warn__runstatus() {
    #
    # Report run status
    #
    # Usage:
    #     _JATH_STATUS=STATUS \
    #         _jathp_warn__runstatus
    #
    ___jathp_warn__vyell \
        _JATH_STATUS
}

#shellfu module-version=0.2.12
